summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorMarkos Chandras <mchandras@suse.de>2017-01-28 00:26:36 +0000
committerMarkos Chandras <mchandras@suse.de>2017-01-28 00:27:18 +0000
commitdf73e2f3a8fe8b0170a431f1fbe9f7a19c516653 (patch)
tree218dbd23b78dd6f25c472237c02401622cd517be /jjb
parentf81f94c81b98f8429794c8d8ecda0bba514e74d0 (diff)
jjb: infra: bifrost-verity: Ignore missing landing page
if this a new build, there is no landing page to remove and 'gsutil rm' will return false breaking the build. Ignore such failures. Change-Id: If5969b06b7a65a8e36abda57e8cb75e8684a716a Signed-off-by: Markos Chandras <mchandras@suse.de>
Diffstat (limited to 'jjb')
-rwxr-xr-xjjb/infra/bifrost-verify.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/jjb/infra/bifrost-verify.sh b/jjb/infra/bifrost-verify.sh
index bb4784809..94c7dacfa 100755
--- a/jjb/infra/bifrost-verify.sh
+++ b/jjb/infra/bifrost-verify.sh
@@ -22,7 +22,7 @@ function upload_logs() {
# stale information.
# TODO: Maybe cleanup the entire $BIFROST_GS_URL directory
# before we upload the new data.
- gsutil -q rm ${BIFROST_GS_URL}/index.html
+ gsutil -q rm ${BIFROST_GS_URL}/index.html || true
if [[ -d ${WORKSPACE}/logs ]]; then
echo "Uploading collected bifrost logs to ${BIFROST_LOG_URL}"